#ifndef _MUTATIONCENTER_H_
#define _MUTATIONCENTER_H_

#include "defs.h"
#include "stypes.h"
#define MAX_SIZE 128

void BubbleBrain PARAM2(param[MAX_SIZE], int[MAX_SIZE][MAX_SIZE]);
void EvolvePool  PARAM2(param[MAX_SIZE], int[MAX_SIZE][MAX_SIZE]);

void ArenaInit          PARAM1(arena *);
void ArenaCheckPending  PARAM2(arena *, list **);
void ArenaParse         PARAM3(arena *, slave *, char *);
void ArenaNotifyFailure PARAM2(arena *, slave *);
void ArenaEvolve        PARAM1(arena *);
void ArenaInitialize    PARAM3(arena *, char **, int);

int SlaveSendRequest PARAM4(arena *, slave *, int, int);

#endif /* _MUTATIONCENTER_H_ */
