#ifndef _FORTRESS_TOOLS_H_
#define _FORTRESS_TOOLS_H_

#include "types.h"

#ifdef NOMEMCPY
void Copy        (void *, void *);
#else
#define Copy(x, y) memcpy(y, x, sizeof(board))
#endif /* NOMEMCPY */
void Calc        (board , board);
int  Prise       (board , board , int);
void Score       (board , board , int *, int *);
int  EndScore     (board , board , int);
int  IsValidMove  (board , int   , int);
int  PlayBlack   (board , board , int);
int  PlayWhite   (board , board , int);
void UnPlayBlack (board , board , int);
void UnPlayWhite (board , board , int);
void BubbleSort  (int * , int *);

#endif /* _FORTRESS_TOOLS_H_ */
