#include <stdio.h>
#include <string.h>
#include <malloc.h>
#include <stdlib.h>
#include <time.h>
#include "defs.h"
#include "etypes.h"
#include "cell.h"
#include "list.h"

void FreeCell(type, cell)
    int type;
    void *cell;
{
    if(!cell)
	return;
    switch(type) {
    case CELL_SLAVE:
	free(((slave *)cell)->buffer);
	break;
    case CELL_ARENA:
	break;
    default:
	printf("**** PANIC! **** UNKNOWN CELL TYPE IN FreeCell\n");
	break;
    }
    free(cell);
}

slave *CreateSlave(socknum)
    int socknum;
{
    slave *sl;
    
    sl = (slave *)malloc(sizeof(slave));
    sl->socket    = socknum;
    sl->used      = 0;
    sl->last_time = time((time_t *)NULL);
    sl->buffer    = (char *)calloc(SOCKET_BUFFER_SIZE, sizeof(char));
    sl->curr      = sl->buffer;
    return sl;
}



