#ifndef _EVOLVE_TYPES_H_
#define _EVOLVE_TYPES_H_

#include <time.h>
#include "defs.h"

typedef struct general_list_str {
    int    type;
    void   *cell;
    struct general_list_str *next;
    struct general_list_str *prev;
} list;

typedef struct slave_str {
    int    socket;
    int    used;
    int    status;
    time_t last_time;
    int    opp_x;
    int    opp_y;
    char   *buffer;
    char   *curr;
} slave;


#endif /* _EVOLVE_TYPES_H_ */

