#ifndef _EVOLVE_MUTATE_H_
#define _EVOLVE_MUTATE_H_

#include "types.h"

void MutateBrainCellFromSeed(param_cell, param_cell *);
void MutateBrainFromSeed(param, param);
void MutateAddBrainCell(param_cell, param_cell *, PARAM_TYPE);
void MutateAddBrain(param, param, PARAM_TYPE);
void MutateAddGeneBrainCell(param_cell, param_cell *, int);
void MutateAddGeneBrain(param, param, int);
void MutateMulGeneBrainCell(param_cell, param_cell *, int, float);
void MutateMulGeneBrain(param, param, int, float);
void MutateAggressivenessBrain(param, param, float);
void MutateExpansivenessBrain(param, param, float);

void SplitBrainCell(param_cell, param_cell, param_cell *, int);
void SplitBrain(param, param, param);
void MixBrain(param, param, param);

#endif /* _EVOLVE_MUTATE_H_ */
